Bug 133501 - LO 7 writes invalid <annotation> in ODF 1.3 strict
Summary: LO 7 writes invalid <annotation> in ODF 1.3 strict
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: odf odf_validation target:7.1.0 targe...
Keywords:
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2020-05-29 17:46 UTC by Regina Henschel
Modified: 2020-06-04 13:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Page with annotation (12.89 KB, application/vnd.oasis.opendocument.presentation)
2020-05-29 17:46 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-05-29 17:46:50 UTC
Created attachment 161398 [details]
Page with annotation

Open attached document. It was created by LO 7.0 and saved in "ODF 1.3 extended". Save the document in "ODF 1.3 strict". Open the file in editor. Notice the invalid element <annotation> in <draw:page> in content.xml.

Saving in "ODF 1.2 strict" is correct.

I see the error in Version: 7.0.0.0.alpha1+ (x64)
Build ID: 0a7341c26741f16835c9062c309e7d3a7fca8209
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: default; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL
Comment 1 Commit Notification 2020-06-02 16:32:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bb95d189653d73911c187227ace682ba2b98172c

tdf#133501 xmloff: ODF export: export annotation only if extended

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Michael Stahl (allotropia) 2020-06-02 16:36:05 UTC
fixed on master
Comment 3 Commit Notification 2020-06-03 10:01:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/22943b7445c363895f61b9ad270f96ce78ab6ab9

tdf#133501 xmloff: ODF export: export annotation only if extended

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Regina Henschel 2020-06-04 13:32:03 UTC
Seen OK in Version: 7.1.0.0.alpha0+ (x64)
Build ID: 95e5d37b6e62eb39f2d5337e124e86b3d0c3f399
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: threaded

and in Version: 7.0.0.0.beta1+ (x64)
Build ID: 8c08eefeb512d4cbc86c4c5308d86a59bd232beb
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL